[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DoLoadColumn

Signals the OnLoadColumn event handler for the grid control (when assigned).

## Declaration

Source position: grids.pas line 1032

`protected procedure TCustomGrid.DoLoadColumn(`
`Sender: TCustomGrid;`
`aColumn: TGridColumn;`
`aColIndex: Integer;`
`aCfg: TXMLConfig;`
`aVersion: Integer;`
`aPath: string`
`); virtual;`

## Arguments

`Sender` |  | Object (TCustomGrid) for the event notification.
`aColumn` |  | Grid column definition for the event.
`aColIndex` |  | Ordinal position for the column.
`aCfg` |  | XML configuration file with the design-time information for the columns in the grid.
`aVersion` |  | Version number for the streaming format used in the configuration file.
`aPath` |  | XPath-like expression where the column information is stored.

## Description

DoLoadColumn is a method used to signal the OnLoadColumn event handler (when assigned) to load a column from an external XML configuration file. DoLoadColumn is called from the private LoadColumns method, and occurs immediately after a TColumn instance has been created, initialized, and added to the Columns collection. The event handler can be used to override or augment the values loaded from the XML storage into the TColumn instance.

## See also

TCustomGrid.OnLoadColumn |  | Event handler signalled when a column is loaded in the LoadColumns method.
TCustomGrid.Columns |  | Definitions for the columns displayed the grid.
TGridColumns |  | Collection used to store column definitions for a grid control.
TGridColumn |  | Implements a column definition used for tabular data in TCustomGrid.